<?php
header("Content-Type: application/json");

require_once("API.php");
$objAPI = new API_Gusber();

$metodo=$_GET['op'];

//Orden de los metodos //
// 1.. - Operaciones de Login y Acceso al sistema
// 2.. - Recuperacion masiva de datos

if($metodo==0){ //Verificación de acceso al servicio
    echo "OK";
}

if($metodo==1){ //Recupramos de un usuario especifico
    $email=$_GET['e'];
    $pwd  =$_GET['p'];


    $data = array();
    $data = $objAPI->getInfoUser($email, $pwd);

    echo json_encode($data);
}

if($metodo==11){ //Registramos el login del usuario con su ubicacion...
    $id =$_GET['i'];
    $location=$_GET['l'];
    $fecha=$_GET['f'];
    
    $data = array();
    $data = $objAPI->setInfoUserLogin($id, $location, $fecha);

    echo json_encode($data);
}

if($metodo==12){ //Recuperar claves de acceso...
    $mail =$_GET['m'];

    $data = array();
    $data = $objAPI->sendInfoUserKey($mail);

    echo json_encode($data);
}


if($metodo==2){ //Lectura de todos los usuarios
    
    $result = array();
    $result = $objAPI->getInfoAllUsers();
    
    echo json_encode($result);
}

?>